Deep Copy Object Record
Deep Copy copies an object record, including all of the record’s related child and grandchild records. A single deep copy cannot copy more than 10,000 records at a time.
See Copying Object Records
You can perform a regular copy an object record using the create object endpoint with the source_record_id field.
POST
/api/{version}/vobjects/{object_name}/{object_record_ID}/actions/deepcopyHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the parent object to copy. For example, product__v. |
{object_record_ID} | The ID of the specific object record to copy. |
In the body, pass in any fields to override the copied fields. For example, add the abbreviation__c field to override the copied value for abbreviation.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v18.3/vobjects/product__v/00P000000000202/actions/deepcopyResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 26001,
"url": "/api/v18.3/services/jobs/26001"
}